org.fourthline.cling.binding.xml

## Class UDA10DeviceDescriptorBinderSAXImpl.DeviceHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.seamless.xml.SAXParser.Handler<I>
    - - org.fourthline.cling.binding.xml.UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<MutableDevice>
      - - org.fourthline.cling.binding.xml.UDA10DeviceDescriptorBinderSAXImpl.DeviceHandler

- All Implemented Interfaces:
    ContentHandler, DTDHandler, EntityResolver, ErrorHandler
  Enclosing class:
    UDA10DeviceDescriptorBinderSAXImpl

      protected static class UDA10DeviceDescriptorBinderSAXImpl.DeviceHandler
      extends UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<MutableDevice>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Descriptor.Device.ELEMENT` | `EL`

    - ### Fields inherited from class org.seamless.xml.SAXParser.Handler

      `attributes, characters, instance, parent, parser`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceHandler(MutableDevice instance, UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endElement(Descriptor.Device.ELEMENT element)`
    `boolean` | `isLastElement(Descriptor.Device.ELEMENT element)`
    `void` | `startElement(Descriptor.Device.ELEMENT element, Attributes attributes)`

    - ### Methods inherited from class org.fourthline.cling.binding.xml.UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler

      `endElement, isLastElement, startElement`

    - ### Methods inherited from class org.seamless.xml.SAXParser.Handler

      `characters, getAttributes, getCharacters, getInstance, getParent, getParser, switchToParent`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EL

          public static final Descriptor.Device.ELEMENT EL

  - ### Constructor Detail

    - #### DeviceHandler

          public DeviceHandler(MutableDevice instance,
                               UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler parent)

  - ### Method Detail

    - #### startElement

          public void startElement(Descriptor.Device.ELEMENT element,
                                   Attributes attributes)
                            throws SAXException

      Overrides:
        `startElement` in class `UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<MutableDevice>`
      Throws:
        `SAXException`

    - #### endElement

          public void endElement(Descriptor.Device.ELEMENT element)
                          throws SAXException

      Overrides:
        `endElement` in class `UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<MutableDevice>`
      Throws:
        `SAXException`

    - #### isLastElement

          public boolean isLastElement(Descriptor.Device.ELEMENT element)

      Overrides:
        `isLastElement` in class `UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<MutableDevice>`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.